<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\ProductCategory;

class ProductCategoryController extends Controller
{
    public function index()
    {
        $product_categories = ProductCategory::get();
        return view('admin.product-category.index', compact('product_categories'));
    }


    public function create()
    {
        $product_categories = ProductCategory::get();
        return view('admin.product-category.create', compact('product_categories'));
    }


    public function store(Request $request)
    {
        $this->validate($request, [
            'product_category_name' => 'required|string',
            'parent_id' => 'required|integer',
        ]);

        $product_category = new ProductCategory();
        $product_category->product_category_name = $request->product_category_name;
        $product_category->parent_id = $request->parent_id;
        $product_category->save();
        return redirect()->route('product-category.index')->with('success', 'Category has been created successfully.');
    }


    public function edit(ProductCategory $product_category)
    {
        $product_categories = ProductCategory::get();
        return view('admin.product-category.edit', compact('product_category', 'product_categories'));
    }

    public function update(Request $request, ProductCategory $product_category)
    {
        $this->validate($request, [
            'product_category_name' => 'required|string',
        ]);
        $product_category->product_category_name = $request->product_category_name;
        $product_category->status = !empty($request->status) ? $request->status : 1;
        $product_category->save();
        return redirect()->route('product-category.index')->with('success', 'Category has been updated successfully.');
    }


    public function destroy(ProductCategory $product_category)
    {
        $product_category->delete();
        return redirect()->route('product-category.index')->with('success', 'Category has been deleted successfully');
    }
}
