<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\About;
use App\Models\WebsiteDetail;
use App\Models\Enquiry;
use Illuminate\Http\Request;

class AboutUsController extends Controller
{
    public function index(Request $request)
    {
        $about = About::where('status', true)->first();
        $site = WebsiteDetail::where('status', true)->first();
        return view('frontend.aboutus.index', compact('about', 'site'));
    }
    
    public function store(Request $request)
    {
        $this->validate($request, [
            'product_id' => 'required|string',
            'user_name' => 'required|string',
            'phone_number' => 'required|string',
            'message' => 'required|string'
        ]);

        $enquiry = new Enquiry();
        $enquiry->user_name = $request->user_name;
        $enquiry->phone_number = $request->phone_number;
        $enquiry->message = $request->message;
        $enquiry->product_id = $request->product_id;
        $enquiry->save();
        return redirect()->route('frontend.index')->with('success', 'Your Enquiry has been Submitted successfully.');
    }
}
