<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\ContactUs;
use App\Models\WebsiteDetail;
use Illuminate\Http\Request;

class ContactController extends Controller
{
    public function index()
    {
        $site = WebsiteDetail::where('status', true)->first();
        return view('frontend.contact.index', compact('site'));
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required|string',
            'email' => 'required|email',
            'mobile' => 'required|integer'
        ]);

        $contact = new ContactUs();
        $contact->name = $request->name;
        $contact->email = $request->email;
        $contact->mobile = $request->mobile;
        $contact->subject = $request->subject;
        $contact->message = $request->message;
        $contact->save();
        return redirect()->route('frontend.contact.index')->with('success', 'Contact Detail has been Submitted successfully.');
    }
}
