<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Enquiry;
use App\Models\Product;
use App\Models\WebsiteDetail;
use Illuminate\Http\Request;

class ProductDetailController extends Controller
{
    public function index(Request $request)
    {
        $product = Product::where('status', true)->where('slug', $request->slug)->first();
        $products = Product::where('status', true)->limit(10)->get();
        $site = WebsiteDetail::where('status', true)->first();
        return view('frontend.product-detail.index', compact('product', 'site', 'products'));
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'product_id' => 'required|string',
            'user_name' => 'required|string',
            'phone_number' => 'required|string',
            'message' => 'required|string'
        ]);

        $enquiry = new Enquiry();
        $enquiry->user_name = $request->user_name;
        $enquiry->phone_number = $request->phone_number;
        $enquiry->message = $request->message;
        $enquiry->product_id = $request->product_id;
        $enquiry->save();
        return redirect()->route('frontend.product-detail.index', $request->slug)->with('success', 'Your Enquiry has been Submitted successfully.');
    }
}