<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Brand;
use App\Models\Product;
use App\Models\ProductCategory;
use App\Models\WebsiteDetail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Response;

class ProductsController extends Controller
{
    public function index(Request $request)
    {
        $products = Product::where('status', true)->when($request->search, function ($q) use ($request) {
            $q->where('product_name', 'LIKE', "%$request->search%");
        })->orderBy('id', 'asc')->paginate(12);
        $category = ProductCategory::where('status', true)->get();
        $site = WebsiteDetail::where('status', true)->first();
        return view('frontend.products-list.index', compact('products', 'category', 'site'));
    }

    public function search(Request $request)
    {
        $products = Product::with(['ProductImagesByID'])->where('status', true)
            ->when($request->search, function ($q) use ($request) {
                $q->whereHas('productCategory', function ($r) use ($request) {
                    $r->where('products.product_name', 'LIKE', "%$request->search%");
                    $r->orWhere('product_categories.product_category_name', 'LIKE', "%$request->search%");
                });
            })->paginate(12);

        return Response::json(compact('products'));
    }
}