<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\ContactUs;
use App\Models\Enquiry;
use App\Models\Product;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $productCount = Product::where('status', true)->count();
        $enquiryCount = Enquiry::count();
        $enquiry = Enquiry::orderBy('id','desc')->limit(5)->get();
        $contactCount = ContactUs::where('status', true)->count();
        $contacts = ContactUs::where('status', true)->orderBy('id','desc')->limit(5)->get();
        return view('admin.index', compact('productCount','enquiryCount','contactCount', 'enquiry','contacts'));
    }
}