@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>About Content</h1>
        </div>
        <div>
            <a class="btn btn-primary" href="{{ route('about.create') }}"> Create</a>
        </div>
    </div>
    <!-- End Page Title -->

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">About Content</h5>
                        <table class="table datatable table-striped table-bordered mb-0">
                            <thead>
                                <tr>
                                    <th scope="col">S.No</th>
                                    <th scope="col">Title</th>
                                    <th scope="col">Short Description</th>
                                    <th scope="col">Description</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($about as $item)
                                    <tr>
                                        <th scope="row">{{ $loop->iteration }}</th>
                                        <td>{{ $item->title }}</td>
                                        <td>{{ $item->short_description }}</td>
                                        <td>{{ $item->description }}</td>
                                        <td><span
                                                class="btn btn-sm btn-rounded {{ $item->status == 1 ? 'btn-success' : 'btn-danger' }}">{{ $item->status == 1 ? 'Active' : 'Suspended' }}</span>
                                        </td>
                                        <td>
                                            <form action="{{ route('about.destroy', $item->id) }}" method="Post">
                                                <a class="btn btn-sm btn-primary"
                                                    href="{{ route('about.edit', $item->id) }}">Edit</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger"
                                                    onclick="return confirm('Are You Sure? You want to delete this item?')">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
