@extends('admin.layouts.main')

@section('main-admin-container')
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Update Home Content</h1>
        </div>
    </div><!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Update Home Content</h5>
                        <form action="{{ route('home-content.update', $homeContent->id) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="row">
                                <div class="col-md-6 mb-4">
                                    <label for="title" class="form-label">Title</label>
                                    <input type="text" name="title" class="form-control"
                                        value="{{ $homeContent->title }}" id="title">
                                    @error('title')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="banner" class="form-label">Home Banner</label>
                                    <input type="file" name="banner" class="form-control" id="banner">
                                    @if (!empty($homeContent->banner))
                                        <div class="mt-2"><img src="{{ asset($homeContent->banner) }}" alt=""
                                                width="60px" height="60px"></div>
                                    @endif
                                    @error('banner')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="short_description" class="form-label">Short Description</label>
                                    <textarea name="short_description" class="form-control" cols="10" rows="3">{{ $homeContent->short_description }}</textarea>
                                    @error('short_description')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="status" class="form-label">Status</label>
                                    <select name="status" id="status" class="form-select">
                                        <option value="">Select Status</option>
                                        <option value="1" @if ($homeContent->status == 1) selected @else @endif>
                                            Active</option>
                                        <option value="2" @if ($homeContent->status == 2) selected @else @endif>
                                            Inactive</option>
                                    </select>
                                </div>
                                <div class="text-center">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                    <button type="reset" class="btn btn-secondary">Reset</button>
                                </div>
                            </div>
                        </form><!-- Vertical Form -->

                    </div>
                </div>

            </div>
        </div>
        <script src="//cdn.ckeditor.com/4.21.0/standard/ckeditor.js"></script>

    </section>
@endsection
