@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Home Content</h1>
        </div>
        <div>
            <a class="btn btn-primary" href="{{ route('home-content.create') }}"> Create</a>
        </div>
    </div>
    <!-- End Page Title -->

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Home Content</h5>

                        <!-- Table with stripped rows -->
                        <table class="table datatable table-striped table-bordered mb-0">
                            <thead>
                                <tr>
                                    <th scope="col">S.No</th>
                                    <th scope="col">Title</th>
                                    <th scope="col">Description</th>
                                    <th scope="col">Banner</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($homecontent as $homecont)
                                    <tr>
                                        <th scope="row">{{ $loop->iteration }}</th>
                                        <td>{{ $homecont->title }}</td>
                                        <td>{{ $homecont->short_description }}</td>
                                        <td><img src="{{ asset($homecont->banner) }}" alt="" width="40px"
                                                height="40px"></td>
                                        <td><span
                                                class="btn btn-sm btn-rounded {{ $homecont->status == 1 ? 'btn-success' : 'btn-danger' }}">{{ $homecont->status == 1 ? 'Active' : 'Suspended' }}</span>
                                        </td>
                                        <td>
                                            <form action="{{ route('home-content.destroy', $homecont->id) }}" method="Post">
                                                <a class="btn btn-sm btn-primary"
                                                    href="{{ route('home-content.edit', $homecont->id) }}">Edit</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger"
                                                    onclick="return confirm('Are You Sure? You want to delete this item?')">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <!-- End Table with stripped rows -->

                    </div>
                </div>

            </div>
        </div>
    </section>
@endsection
