@extends('admin.layouts.main')

@section('main-admin-container')
    <!--<div class="pagetitle">-->
    <!--    <h1>Dashboard</h1>-->
    <!--</div>-->
    <section class="section dashboard">
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
                    @if (!empty($productCount) && $productCount > 0)
                        <div class="col-xxl-3 col-xl-3 col-md-6">
                            <div class="card info-card sales-card">
                                <div class="card-body">
                                    {{-- <h5 class="card-title">Total Products</span></h5> --}}
                                    <div class="d-flex align-items-center">
                                        <div
                                            class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                                            <i class="bi bi-cart"></i>
                                        </div>
                                        <div class="ps-3">
                                            <h6>{{ $productCount }}</h6>
                                            <span class="text-muted small pt-2 ps-1">Total Products</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                    @if (!empty($enquiryCount) && $enquiryCount > 0)
                        <div class="col-xxl-3 col-xl-3 col-md-6">
                            <div class="card info-card revenue-card">
                                <div class="card-body">
                                    {{-- <h5 class="card-title">Total Enquiry</h5> --}}
                                    <div class="d-flex align-items-center">
                                        <div
                                            class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                                            <i class="bi bi-people"></i>
                                        </div>
                                        <div class="ps-3">
                                            <h6>{{ $enquiryCount }}</h6>
                                            <span class="text-muted small pt-2 ps-1">Total Enquiry</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                    @if (!empty($joinuscount) && $joinuscount > 0)
                        <div class="col-xxl-3 col-xl-3 col-md-6">
                            <div class="card info-card customers-card">
                                <div class="card-body">
                                    {{-- <h5 class="card-title">Total Applicants</h5> --}}
                                    <div class="d-flex align-items-center">
                                        <div
                                            class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                                            <i class="bi bi-person-lines-fill"></i>
                                        </div>
                                        <div class="ps-3">
                                            <h6>{{ $joinuscount }}</h6>
                                            <span class="text-muted small pt-2 ps-1">Total Applicants</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                    @if (!empty($contactCount) && $contactCount > 0)
                        <div class="col-xxl-3 col-xl-3 col-md-6">
                            <div class="card info-card contacts-card">
                                <div class="card-body">
                                    {{-- <h5 class="card-title">Total Contact</h5> --}}
                                    <div class="d-flex align-items-center">
                                        <div
                                            class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                                            <i class="bi bi-telephone"></i>
                                        </div>
                                        <div class="ps-3">
                                            <h6>{{ $contactCount }}</h6>
                                            {{-- <span class="text-danger small pt-1 fw-bold">12%</span>  --}}
                                            <span class="text-muted small pt-2 ps-1">Total Contact</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                </div>
                <!-- Recent Sales -->
                <div class="row">
                    <div class="col-xl-6 col-md-12">
                        <div class="card recent-sales overflow-auto">
                            <div class="card-body py-0">
                                <div class="d-flex align-items-center" style="justify-content:space-between">
                                    <div>
                                        <h5 class="card-title">Recent Enquiry Products</h5>
                                    </div>
                                    <div class="text-end">
                                        <a class="btn btn-primary" href="{{ route('enquiry.index') }}">View All</a>
                                    </div>
                                </div>
                                <table class="table table-borderless">
                                    <thead>
                                        <tr>
                                            <th scope="col">Product</th>
                                            <th scope="col">Name</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($enquiry) && $enquiry->count() > 0)
                                            @foreach ($enquiry as $enq)
                                                <tr>
                                                    <td scope="col">{{ $enq->enquiryProduct->product_name ?? '' }}
                                                    <td scope="col">{{ $enq->user_name }}</td>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="12">No Data Found !</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div><!-- End Recent Sales -->

                    <!-- Top Selling -->
                    <div class="col-xl-6 col-md-12">
                        <div class="card top-selling overflow-auto">
                            <div class="card-body py-0">
                                <div class="d-flex align-items-center" style="justify-content:space-between">
                                    <div>
                                        <h5 class="card-title">Recent Contacts</h5>
                                    </div>
                                    <div class="text-end">
                                        <a class="btn btn-primary" href="{{ route('contactus.index') }}">View All</a>
                                    </div>
                                </div>
                                <table class="table table-borderless">
                                    <thead>
                                        <tr>
                                            <th scope="col">Name</th>
                                            <th scope="col">Mobile</th>
                                            <th scope="col">Message</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($contacts) && $contacts->count() > 0)
                                            @foreach ($contacts as $contact)
                                                <tr>
                                                    <td scope="col">{{ $contact->name }}</td>
                                                    <td scope="col">{{ $contact->mobile }}</td>
                                                    <td scope="col">{{ Str::words($contact->message, 15, '...') }}</td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="12">No Data Found !</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div><!-- End Top Selling -->
                </div>
            </div><!-- End Left side columns -->
        </div>
    </section>
@endsection
