@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Update Category</h1>
        </div>
    </div>
    <!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Update Category</h5>
                        <form action="{{ route('product-category.update', $product_category->id) }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="parent_id" class="form-label">Parent Category</label>
                                    <select name="parent_id" id="parent_id" class="form-select">
                                        <option value="0">Select Category</option>
                                        @foreach ($product_categories as $category)
                                            <option value="{{ $category->id }}"
                                                @if ($category->id == $product_category->parent_id) selected @else @endif>
                                                {{ $category->product_category_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                    @error('parent_id')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4">
                                    <label for="product_category_name" class="form-label">Category Name</label>
                                    <input type="text" name="product_category_name" class="form-control"
                                        id="product_category_name" value="{{ $product_category->product_category_name }}">
                                    @error('product_category_name')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4">
                                    <label for="status" class="form-label">Status</label>
                                    <select name="status" id="status" class="form-select">
                                        <option value="">Select Status</option>
                                        <option value="1" @if ($product_category->status == 1) selected @else @endif>
                                            Active</option>
                                        <option value="2" @if ($product_category->status == 2) selected @else @endif>
                                            Inactive</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12">
                                    <div class="text-center">
                                        <button type="submit" class="btn btn-primary">Update</button>
                                        <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                </div>
                            </div>
                        </form><!-- Vertical Form -->
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
