@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Category</h1>
        </div>
        <div>
            <a class="btn btn-primary" href="{{ route('product-category.create') }}"> Create Category</a>
        </div>
    </div>
    <!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Category</h5>
                        <table class="table datatable table-striped table-bordered mb-0">
                            <thead>
                                <tr>
                                    <th scope="col">S.No</th>
                                    <th scope="col">Parent Category</th>
                                    <th scope="col">Category Name</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($product_categories as $category)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $category->ParentCategory->product_category_name ?? '' }}</td>
                                        <td>{{ $category->product_category_name }}</td>
                                        <td>
                                            <span
                                                class="btn btn-sm btn-rounded {{ $category->status == 1 ? 'btn-success' : 'btn-danger' }}">{{ $category->status == 1 ? 'Active' : 'Suspended' }}</span>
                                        </td>
                                        <td>
                                            <form action="{{ route('product-category.destroy', $category->id) }}"
                                                method="Post">
                                                <a class="btn btn-sm btn-primary"
                                                    href="{{ route('product-category.edit', $category->id) }}">Edit</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger"
                                                    onclick="return confirm('Are You Sure? You want to delete this item?')">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <!-- End Table with stripped rows -->

                    </div>
                </div>

            </div>
        </div>
    </section>
@endsection
