@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Create Product</h1>
        </div>
    </div>
    <!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Create Product</h5>
                        <form action="{{ route('products.store') }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-4 mb-4">
                                    <label for="product_name" class="form-label">Product Name</label>
                                    <input type="text" name="product_name" class="form-control" id="product_name">
                                    @error('product_name')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4 mb-4">
                                    <label for="category" class="form-label">Category</label>
                                    <select name="category" id="category" class="form-select">
                                        <option value="0">Select Category</option>
                                        @foreach ($category as $item)
                                            <option value="{{ $item->id }}">{{ $item->product_category_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                    @error('category')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4 mb-4">
                                    <label for="price" class="form-label">Price</label>
                                    <input type="text" name="price" class="form-control" id="price">
                                    @error('price')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-4 mb-4">
                                    <label for="thumnail" class="form-label change-lab">Upload Images</label>
                                    <input type="file" name="thumnail[]" class="form-control" id="thumnail" multiple>
                                    @error('thumnail')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4 mb-4">
                                    <label for="document" class="form-label change-lab">Upload Document</label>
                                    <input type="file" name="document" class="form-control" id="document">
                                    @error('document')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-4 mb-4">
                                    <label for="video_url" class="form-label">Video URL</label>
                                    <input type="text" name="video_url" class="form-control" id="video_url">
                                    @error('video_url')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-4">
                                    <label for="short_description" class="form-label change-lab">Short Description</label>
                                    <textarea class="form-control" name="short_description" cols="30" rows="6"></textarea>
                                    @error('short_description')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-4">
                                    <label for="description" class="form-label change-lab">Description</label>
                                    <textarea class="form-control ckeditor" name="description" cols="30" rows="6"></textarea>
                                    @error('description')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>

                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12">
                                    <div class="text-center">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                        <button type="reset" class="btn btn-secondary">Reset</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <script src="//cdn.ckeditor.com/4.21.0/standard/ckeditor.js"></script>
    </section>
@endsection
