@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Products</h1>
        </div>
        <div>
            <a class="btn btn-primary" href="{{ route('products.create') }}"> Create Product</a>
        </div>
    </div>
    <!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Products</h5>
                        <table class="table datatable table-striped table-bordered mb-0">
                            <thead>
                                <tr>
                                    <th scope="col">S.No</th>
                                    <th scope="col">Product Name</th>
                                    <th scope="col">Images</th>
                                    <th scope="col">Price</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($products as $product)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $product->product_name }}</td>
                                        <td>
                                            @foreach ($product->ProductImagesByID as $image)
                                                <img src="{{ asset($image->thumnail) }}" alt="" width="40px"
                                                    height="40px">
                                            @endforeach

                                        </td>

                                        <td>{{ $product->price }}</td>
                                        <td>
                                            <span
                                                class="btn btn-sm btn-rounded {{ $product->status == 1 ? 'btn-success' : 'btn-danger' }}">{{ $product->status == 1 ? 'Active' : 'Suspended' }}</span>
                                        </td>
                                        <td>
                                            <form action="{{ route('products.destroy', $product->id) }}" method="Post">
                                                <a class="btn btn-sm btn-primary"
                                                    href="{{ route('products.edit', $product->id) }}">Edit</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger"
                                                    onclick="return confirm('Are You Sure? You want to delete this item?')">Delete</button>
                                            </form>
                                        </td>

                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <!-- End Table with stripped rows -->

                    </div>
                </div>

            </div>
        </div>
    </section>
@endsection
