@extends('admin.layouts.main')

@section('main-admin-container')
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Website Detail</h1>

        </div>
    </div><!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">

                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Website Detail</h5>
                        <form action="{{ route('website-detail.update', $website_detail->id) }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="row g-3">
                                <div class="col-md-6">
                                    <label for="company_name" class="form-label">Campany Name</label>
                                    <input type="text" name="company_name" value="{{ $website_detail->company_name }}"
                                        class="form-control" id="company_name">
                                    @error('company_name')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="logo" class="form-label">Logo</label>
                                    <input type="file" name="logo" class="form-control" id="logo">
                                    @if (!empty($website_detail->logo))
                                        <div class="mt-2"><img src="{{ asset($website_detail->logo) }}" alt=""
                                                width="60px" height="60px"></div>
                                    @endif
                                    @error('logo')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="email" class="form-label">Email</label>
                                    <input type="text" name="email" value="{{ $website_detail->email }}"
                                        class="form-control" id="email">
                                    @error('email')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="phone" class="form-label">Phone</label>
                                    <input type="text" name="phone" value="{{ $website_detail->phone }}"
                                        class="form-control" id="phone">
                                    @error('phone')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="facebook_url" class="form-label">Facebook Url</label>
                                    <input type="text" name="facebook_url" value="{{ $website_detail->facebook_url }}"
                                        class="form-control" id="facebook_url">
                                    @error('facebook_url')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="instagram_url" class="form-label">Instagram Url</label>
                                    <input type="text" name="instagram_url" value="{{ $website_detail->instagram_url }}"
                                        class="form-control" id="instagram_url">
                                    @error('instagram_url')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="twitter_url" class="form-label">Twitter Url</label>
                                    <input type="text" name="twitter_url" value="{{ $website_detail->twitter_url }}"
                                        class="form-control" id="twitter_url">
                                    @error('twitter_url')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="linkedin_url" class="form-label">Linkedin Url</label>
                                    <input type="text" name="linkedin_url" value="{{ $website_detail->linkedin_url }}"
                                        class="form-control" id="linkedin_url">
                                    @error('linkedin_url')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="address" class="form-label">Address</label>
                                    <input type="text" name="address" value="{{ $website_detail->address }}"
                                        class="form-control" id="address">
                                    @error('address')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="status" class="form-label">Status</label>
                                    <select name="status" id="status" class="form-select">
                                        <option value="">Select Status</option>
                                        <option value="1" @if ($website_detail->status == 1) selected @else @endif>
                                            Active</option>
                                        <option value="2" @if ($website_detail->status == 2) selected @else @endif>
                                            Inactive</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <label for="description" class="form-label">Short Description</label>
                                    <textarea class="form-control" name="description" cols="10" rows="3">{!! $website_detail->description !!}</textarea>
                                    @error('description')
                                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="text-center">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                    <button type="reset" class="btn btn-secondary">Reset</button>
                                </div>
                            </div>
                        </form><!-- Vertical Form -->

                    </div>
                </div>

            </div>
        </div>
        <script src="//cdn.ckeditor.com/4.21.0/standard/ckeditor.js"></script>
    </section>
@endsection
