@extends('admin.layouts.main')

@section('main-admin-container')
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Website Detail</h1>
        </div>
        <div>
            <a class="btn btn-primary" href="{{ route('website-detail.create') }}"> Create</a>
        </div>
    </div>
    <!-- End Page Title -->

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Website Detail</h5>
                        {{-- <p>Add lightweight datatables to your project with using the <a href="https://github.com/fiduswriter/Simple-DataTables" target="_blank">Simple DataTables</a> library. Just add <code>.datatable</code> class name to any table you wish to conver to a datatable</p> --}}

                        <!-- Table with stripped rows -->
                        <table class="table datatable table-striped table-bordered mb-0">
                            <thead>
                                <tr>
                                    <th scope="col">S.No</th>
                                    <th scope="col">Company Name</th>
                                    <th scope="col">email</th>
                                    <th scope="col">Phone</th>
                                    <th scope="col">Logo</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Created At</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($siteDetail as $siteDet)
                                    <tr>
                                        <th scope="row">{{ $loop->iteration }}</th>
                                        <td>{{ $siteDet->company_name }}</td>
                                        <td>{{ $siteDet->email }}</td>
                                        <td>{{ $siteDet->phone }}</td>
                                        <td><img src="{{ asset($siteDet->logo) }}" alt="" width="40px"
                                                height="40px"></td>
                                        <td><span
                                                class="btn btn-sm btn-rounded {{ $siteDet->status == 1 ? 'btn-success' : 'btn-danger' }}">{{ $siteDet->status == 1 ? 'Active' : 'Suspended' }}</span>
                                        </td>
                                        <td>{{ \Carbon\Carbon::parse($siteDet->created_at)->format('d-m-Y h:i A') }}</td>
                                        <td>
                                            <form action="{{ route('website-detail.destroy', $siteDet->id) }}"
                                                method="Post">
                                                <a class="btn btn-sm btn-primary"
                                                    href="{{ route('website-detail.edit', $siteDet->id) }}">Edit</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger"
                                                    onclick="return confirm('Are You Sure? You want to delete this item?')">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <!-- End Table with stripped rows -->

                    </div>
                </div>

            </div>
        </div>
    </section>
@endsection
