<?php

use App\Http\Controllers\Admin\AboutController;
use App\Http\Controllers\Admin\EnquiryController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\ProductCategoryController;
use App\Http\Controllers\Admin\ProductController;
use App\Http\Controllers\Admin\WebsiteDetailController;
use App\Http\Controllers\Admin\BrandController;
use App\Http\Controllers\Admin\ContactUsController;
use App\Http\Controllers\Admin\HomeContentController;
use App\Http\Controllers\Frontend\AboutUsController;
use App\Http\Controllers\Frontend\ContactController;
use App\Http\Controllers\Frontend\ProductDetailController;
use App\Http\Controllers\Frontend\ProductsController;
use App\Http\Controllers\FrontEndController;
use Illuminate\Support\Facades\Auth;

Auth::routes();

Route::get('/', function () {
    return view('auth.login');
});

Route::get('/admin/dashboard', [App\Http\Controllers\HomeController::class, 'index'])->name('admin.index');

Route::middleware('auth')->prefix('admin')->group(function () {
    //Route::resource('dashboard', AdminController::class);
    Route::resource('product-category', ProductCategoryController::class);
    Route::resource('products', ProductController::class);
    Route::resource('website-detail', WebsiteDetailController::class);
    Route::resource('brands', BrandController::class);
    Route::resource('enquiry', EnquiryController::class);
    Route::resource('about', AboutController::class);
    Route::resource('contactus', ContactUsController::class);
    Route::resource('home-content', HomeContentController::class);
});

Route::prefix('')->group(function () {
    Route::resource('/', FrontEndController::class)->only(['index', 'store', 'create'])->names(['index' => 'frontend.index', 'create' => 'frontend.create', 'store' => 'frontend.store']);
    Route::resource('/products-list', ProductsController::class)->only(['index'])->names(['index' => 'frontend.products-list.index']);
    Route::get('/products-list/search','App\Http\Controllers\Frontend\ProductsController@search');
    Route::resource('/aboutus', AboutUsController::class)->only(['index','store'])->names(['index' => 'frontend.aboutus.index', 'store' => 'frontend.aboutus.store']);
    Route::resource('/product-detail/{slug}', ProductDetailController::class)->only(['index', 'store'])->names(['index' => 'frontend.product-detail.index', 'store' => 'frontend.product-detail.store']);
    Route::resource('/contact', ContactController::class)->only(['index', 'store'])->names(['index' => 'frontend.contact.index', 'store' => 'frontend.contact.store']);
});
