<?php $__env->startSection('main-admin-container'); ?>
    <!-- Page Title -->
    <div class="pagetitle d-flex align-items-center justify-content-between">
        <div>
            <h1>Products</h1>
        </div>
        <div>
            <a class="btn btn-primary" href="<?php echo e(route('products.create')); ?>"> Create Product</a>
        </div>
    </div>
    <!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Products</h5>
                        <table class="table datatable table-striped table-bordered mb-0">
                            <thead>
                                <tr>
                                    <th scope="col">S.No</th>
                                    <th scope="col">Product Name</th>
                                    <th scope="col">Images</th>
                                    <th scope="col">Price</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($product->product_name); ?></td>
                                        <td>
                                            <?php $__currentLoopData = $product->ProductImagesByID; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <img src="<?php echo e(asset($image->thumnail)); ?>" alt="" width="40px"
                                                    height="40px">
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </td>

                                        <td><?php echo e($product->price); ?></td>
                                        <td>
                                            <span
                                                class="btn btn-sm btn-rounded <?php echo e($product->status == 1 ? 'btn-success' : 'btn-danger'); ?>"><?php echo e($product->status == 1 ? 'Active' : 'Suspended'); ?></span>
                                        </td>
                                        <td>
                                            <form action="<?php echo e(route('products.destroy', $product->id)); ?>" method="Post">
                                                <a class="btn btn-sm btn-primary"
                                                    href="<?php echo e(route('products.edit', $product->id)); ?>">Edit</a>
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="submit" class="btn btn-sm btn-danger"
                                                    onclick="return confirm('Are You Sure? You want to delete this item?')">Delete</button>
                                            </form>
                                        </td>

                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <!-- End Table with stripped rows -->

                    </div>
                </div>

            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pdemoiidorg/public_html/resources/views/admin/products/index.blade.php ENDPATH**/ ?>